Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| HTML Parser Home Page
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.htmlparser.filters
Class LinkStringFilter

    java.lang.Object
      org.htmlparser.filters.LinkStringFilter

All Implemented Interfaces:
  Serializable, Cloneable, NodeFilter

    public class LinkStringFilter

extends Object
implements NodeFilter

This class accepts tags of class LinkTag that contain a link matching a given pattern string. Use this filter to extract LinkTag nodes with URLs containing the desired string.

See Also:
  Serialized Form

Field Summary
`protected boolean` | `mCaseSensitive` Flag indicating case sensitive/insensitive search.
`protected String` | `mPattern` The pattern to search for in the link.

Constructor Summary
`LinkStringFilter(String pattern)` Creates a LinkStringFilter that accepts LinkTag nodes containing a URL that matches the supplied pattern.
`LinkStringFilter(String pattern, boolean caseSensitive)` Creates a LinkStringFilter that accepts LinkTag nodes containing a URL that matches the supplied pattern.

Method Summary
`boolean` | `accept(Node node)` Accept nodes that are a LinkTag and have a URL that matches the pattern supplied in the constructor.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mPattern

    protected String mPattern

  The pattern to search for in the link.

### mCaseSensitive

    protected boolean mCaseSensitive

  Flag indicating case sensitive/insensitive search.

Constructor Detail

### LinkStringFilter

    public LinkStringFilter(String pattern)

  Creates a LinkStringFilter that accepts LinkTag nodes containing a URL that matches the supplied pattern. The match is case insensitive.

  Parameters:
    `pattern` - The pattern to match.

### LinkStringFilter

    public LinkStringFilter(String pattern,
                            boolean caseSensitive)

  Creates a LinkStringFilter that accepts LinkTag nodes containing a URL that matches the supplied pattern.

  Parameters:
    `pattern` - The pattern to match.
    `caseSensitive` - Specifies case sensitivity for the matching process.

Method Detail

### accept

    public boolean accept(Node node)

  Accept nodes that are a LinkTag and have a URL that matches the pattern supplied in the constructor.

  Specified by:
    `accept` in interface `NodeFilter`
  Parameters:
    `node` - The node to check.
  Returns:
    `true` if the node is a link with the pattern.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| © 2005 Derrick Oswald Jun 10, 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

HTML Parser is an open source library released under LGPL. |